### Constructor

# RB DisplayPageGroup new

#### Declaration [src]

    RBDisplayPageGroup*
    rb_display_page_group_new (
      GObject* shell,
      const char* id,
      const char* name,
      RBDisplayPageGroupCategory category
    )

#### Description [src]

Creates a new page group object. The group will be registered before it is returned.

#### Parameters

`shell`

  Type: `GObject`

  The `RBShell`.

  The data is owned by the caller of the function.

`id`

  Type: `const char*`

  Name of the page group (untranslated, used in code).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const char*`

  Display name of the page group (translated).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`category`

  Type: `RBDisplayPageGroupCategory`

  Category for the page group.

#### Return value

Type: `RBDisplayPageGroup`

New page group.

The data is owned by the called function.